## EAccountsWindow EAccountsWindow — Accounts Window |

## Functions

GtkWidget * | e_accounts_window_new ()
ESourceRegistry * | e_accounts_window_get_registry ()
void | e_accounts_window_show_with_parent ()
ESource * | e_accounts_window_ref_selected_source ()
void | e_accounts_window_select_source ()
void | e_accounts_window_insert_to_add_popup ()
GtkButtonBox * | e_accounts_window_get_button_box ()
gint | e_accounts_window_add_page ()
void | e_accounts_window_activate_page ()

## Types and Values

enum | ESourceEditingFlags
struct | EAccountsWindow

## Includes

    #include <e-util/e-util.h>

## Description

EAccountsWindow shows all configured accounts in evolution-data-server and allows also create new, modify or remove existing accounts as well. It's extensible through EExtension, thus it can be taught how to work with particular account types as well.

## Functions

### e_accounts_window_new ()

    GtkWidget *
    e_accounts_window_new (ESourceRegistry *registry);

`e_accounts_window_new` is deprecated and should not be used in newly-written code.

Creates a new EAccountsWindow instance.

#### Parameters

registry | an ESourceRegistry |

#### Returns

an EAccountsWindow as a GtkWidget.

[transfer full]

Since: 3.26

### e_accounts_window_get_registry ()

    ESourceRegistry *
    e_accounts_window_get_registry (EAccountsWindow *accounts_window);

`e_accounts_window_get_registry` is deprecated and should not be used in newly-written code.

Returns the ESourceRegistry passed to `e_accounts_window_new()`.

#### Parameters

accounts_window | an EAccountsWindow |

#### Returns

an ESourceRegistry.

[transfer none]

Since: 3.26

### e_accounts_window_show_with_parent ()

    void
    e_accounts_window_show_with_parent (EAccountsWindow *accounts_window,
                                        GtkWindow *parent);

`e_accounts_window_show_with_parent` is deprecated and should not be used in newly-written code.

Shows the `accounts_window` on top of the `parent` , if not `NULL`.

#### Parameters

accounts_window | an EAccountsWindow |
parent | a GtkWindow, parent to show the `accounts_window` on top of, or `NULL`. | [nullable]

Since: 3.26

### e_accounts_window_ref_selected_source ()

    ESource *
    e_accounts_window_ref_selected_source (EAccountsWindow *accounts_window);

`e_accounts_window_ref_selected_source` is deprecated and should not be used in newly-written code.

#### Parameters

accounts_window | an EAccountsWindow |

#### Returns

Referenced selected ESource, which should be unreffed with `g_object_unref()`, when no longer needed, or `NULL`, when there is no source selected.

[nullable][transfer full]

Since: 3.26

### e_accounts_window_select_source ()

    void
    e_accounts_window_select_source (EAccountsWindow *accounts_window,
                                     const gchar *uid);

`e_accounts_window_select_source` is deprecated and should not be used in newly-written code.

Selects an ESource with the given `uid` . If no such is available in time of this call, then it is remembered and selected once it appears. The function doesn't change selection, when `uid` is `NULL`, but it unsets remembered UID from any previous call.

#### Parameters

accounts_window | an EAccountsWindow |
uid | an ESource UID to select. | [nullable]

Since: 3.28

### e_accounts_window_insert_to_add_popup ()

    void
    e_accounts_window_insert_to_add_popup (EAccountsWindow *accounts_window,
                                           GtkMenuShell *popup_menu,
                                           const gchar *kind,
                                           const gchar *label,
                                           const gchar *icon_name);

`e_accounts_window_insert_to_add_popup` is deprecated and should not be used in newly-written code.

Adds a new item into the `popup_menu` , which will be labeled with `label` . Items added this way are executed with EAccountsWindow::add-source signal.

Special case "-" can be used for the `label` to add a separator. In that case the `kind` and the `icon_name` parameters are ignored.

#### Parameters

accounts_window | an EAccountsWindow |
popup_menu | a GtkMenuShell |
kind | item kind, or `NULL`, when `label` is "-". | [nullable]
label | item label, possibly with a mnemonic |
icon_name | optional icon name to use for the menu item, or `NULL`. | [nullable]

Since: 3.26

### e_accounts_window_get_button_box ()

    GtkButtonBox *
    e_accounts_window_get_button_box (EAccountsWindow *accounts_window);

`e_accounts_window_get_button_box` is deprecated and should not be used in newly-written code.

#### Parameters

accounts_window | an EAccountsWindow |

#### Returns

the button box of the main page, where action buttons are stored. It can be used to add other actions to it.

[transfer none]

Since: 3.26

### e_accounts_window_add_page ()

    gint
    e_accounts_window_add_page (EAccountsWindow *accounts_window,
                                GtkWidget *content);

`e_accounts_window_add_page` is deprecated and should not be used in newly-written code.

Adds a new hidden page to the account window with content `content` . The returned integer is the index of the added page, which can be used with `e_accounts_window_activate_page()` to make that page active.

#### Parameters

accounts_window | an EAccountsWindow |
content | a GtkWidget, the page content |

#### Returns

index of the added page, or -1 on error.

Since: 3.26

### e_accounts_window_activate_page ()

    void
    e_accounts_window_activate_page (EAccountsWindow *accounts_window,
                                     gint page_index);

`e_accounts_window_activate_page` is deprecated and should not be used in newly-written code.

Activates certain page in the `accounts_window` . The `page_index` should be the one returned by `e_accounts_window_add_page()`. Using value out of bounds selects the main page, which shows listing of configured accounts.

#### Parameters

accounts_window | an EAccountsWindow |
page_index | an index of the page to activate |

Since: 3.26

## Types and Values

### enum ESourceEditingFlags

`ESourceEditingFlags` is deprecated and should not be used in newly-written code.

#### Members

E_SOURCE_EDITING_FLAG_NONE |  |
E_SOURCE_EDITING_FLAG_CAN_ENABLE |  |
E_SOURCE_EDITING_FLAG_CAN_EDIT |  |
E_SOURCE_EDITING_FLAG_CAN_DELETE |  |

### struct EAccountsWindow

    struct EAccountsWindow {
    	GtkWindow parent;
    	EAccountsWindowPrivate *priv;
    };

`EAccountsWindow` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since: 3.26